[arch-commits] Commit in xfce4-systemload-plugin/trunk (PKGBUILD missing_tooltip.diff)

andyrtr at archlinux.org andyrtr at archlinux.org
Thu May 14 13:21:47 EDT 2009


    Date: Thursday, May 14, 2009 @ 13:21:47
  Author: andyrtr
Revision: 39288

upgpkg: xfce4-systemload-plugin 0.4.2-5
    fix missing tooltip caused by new gtk; added intltool makedep

Added:
  xfce4-systemload-plugin/trunk/missing_tooltip.diff
Modified:
  xfce4-systemload-plugin/trunk/PKGBUILD

----------------------+
 PKGBUILD             |   13 ++++++++-----
 missing_tooltip.diff |   21 +++++++++++++++++++++
 2 files changed, 29 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-14 17:11:50 UTC (rev 39287)
+++ PKGBUILD	2009-05-14 17:21:47 UTC (rev 39288)
@@ -4,20 +4,23 @@
 
 pkgname=xfce4-systemload-plugin
 pkgver=0.4.2
-pkgrel=4
+pkgrel=5
 pkgdesc="A system load plugin for the Xfce4 panel"
 arch=(i686 x86_64)
 license=('custom')
 url="http://xfce-goodies.berlios.de/"
 groups=('xfce4-goodies')
-depends=('xfce4-panel')
-makedepends=('pkgconfig')
+depends=('xfce4-panel>=4.6.1')
+makedepends=('pkgconfig' 'intltool')
 options=('!libtool')
-source=(http://goodies.xfce.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('cc5777bb1621704927513eb8eef5f07c')
+source=(http://goodies.xfce.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+	missing_tooltip.diff )
+md5sums=('cc5777bb1621704927513eb8eef5f07c'
+         'c66c1af1519e1618553bdaea3ae89e89')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np0 -i $srcdir/missing_tooltip.diff || return 1
   ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/xfce4 \
     --localstatedir=/var --disable-static
   make || return 1

Added: missing_tooltip.diff
===================================================================
--- missing_tooltip.diff	                        (rev 0)
+++ missing_tooltip.diff	2009-05-14 17:21:47 UTC (rev 39288)
@@ -0,0 +1,21 @@
+--- panel-plugin/systemload.c	2007-01-17 18:01:09.000000000 +0000
++++ panel-plugin/systemload.c.new	2009-05-14 17:17:24.001076632 +0000
+@@ -315,11 +315,18 @@
+ {
+     int count;
+     t_global_monitor *global;
++    GtkSettings *settings;
+ 
+     tooltips = gtk_tooltips_new ();
+     g_object_ref (tooltips);
+     gtk_object_sink (GTK_OBJECT (tooltips));
+     
++    /* reduce the default tooltip timeout to be smaller than the update interval otherwise
++     * we won't see tooltips on GTK 2.16 or newer */
++    	settings = gtk_settings_get_default();
++    if (g_object_class_find_property(G_OBJECT_GET_CLASS(settings), "gtk-tooltip-timeout"))
++        g_object_set(settings, "gtk-tooltip-timeout", UPDATE_TIMEOUT - 10, NULL);
++
+     global = g_new(t_global_monitor, 1);
+     global->plugin = plugin;
+     global->timeout_id = 0;



More information about the arch-commits mailing list